with STM32.USARTs;

package Board.UART is
	Port : GPIO_Registers renames GPIOA;
	TX_Bit  : constant Port_Bit_Number := 9;
	RX_Bit  : constant Port_Bit_Number := 10;

	Port_RCC_EN  : Boolean renames RCC.AHB1ENR (Index.GPIOA);
	Port_RCC_RST : Boolean renames RCC.AHB1RSTR (Index.GPIOA);

	AF : Alternate_Function renames Alternate_Functions.USART1;

	Module  : STM32.USARTs.USART_Registers renames STM32.USARTs.USART1;

	RCC_EN  : Boolean renames RCC.APB2ENR (Index.USART1);
	RCC_RST : Boolean renames RCC.APB2RSTR (Index.USART1);
end Board.UART;
