with STM32.GPIO.Ports, STM32.Reset_and_Clock;
use  STM32.GPIO,       STM32.Reset_and_Clock;

package Board is

	package LED is new Ports.GPIO_Port_Boolean (GPIOC, 13, Invert => True);

	LED_RCC_EN : Boolean renames RCC.AHB1ENR (Index.GPIOC);

	APB2_Frequency : constant := 84_000_000; -- Set by board support
end Board;