with STM32.SPIs;
use  STM32.SPIs;

package Board.LCD is

	CSX_Port : GPIO_Registers renames GPIOC;
	CSX_Bit  : constant Port_Bit_Number := 2;

	DCX_Port : GPIO_Registers renames GPIOD;
	DCX_Bit  : constant Port_Bit_Number := 13;

	TE_Port  : GPIO_Registers renames GPIOD;
	TE_Bit   : constant Port_Bit_Number := 11;

	SCL_Port : GPIO_Registers renames GPIOF;
	SCL_Bit  : constant Port_Bit_Number := 7;

	SDA_Port : GPIO_Registers renames GPIOF;
	SDA_Bit  : constant Port_Bit_Number := 9;

	SPI_Module : STM32.SPIs.SPI_Registers renames SPI5;
	SPI_AF     : STM32.GPIO.Alternate_Function renames STM32.GPIO.Alternate_Functions.SPI5;

	SPI_RCC_EN  : Boolean renames RCC.APB2ENR  (Index.SPI5);
	SPI_RCC_RST : Boolean renames RCC.APB2RSTR (Index.SPI5);

end Board.LCD;