with STM32.GPIO.Ports, STM32.Reset_and_Clock;
use  STM32.GPIO,       STM32.Reset_and_Clock;

package Board is

	-- LED

	package LED is new Ports.GPIO_Port_Boolean (GPIOG, 13, Invert => False);

	LED_RCC_EN : Boolean renames RCC.AHB1ENR (Index.GPIOG);

	package LED_2 is new Ports.GPIO_Port_Boolean (GPIOG, 14, Invert => False);

	LED_2_RCC_EN : Boolean renames RCC.AHB1ENR (Index.GPIOG);

	-- More internals
	HSE_Frequency : constant := 8_000_000;
	APB2_Frequency : constant := 90_000_000; -- Set by board support

end Board;